#include "mbed.h"
#include "Adafruit_TFTLCD_16bit_STM32.h"


DigitalOut led1(LED1);
DigitalOut led2(LED2);

Thread theThread;


Adafruit_TFTLCD_16bit_STM32 tft(LED2, 240, 320);

void threadTask();

int main()
{
	printf("calling tft.begin()\n");
	tft.begin();
	printf("calling fillScreen()\n");
	tft.fillScreen(RED);

	theThread.start(callback(threadTask));
	tft.fillScreen(GREEN);

    while(1) {
        led1 = !led1;
        ThisThread::sleep_for(1000);
    }
}

void threadTask()
{
	led1 = !led2;
	ThisThread::sleep_for(1500);
}
